{% extends "index.html" %}
{% load crispy_forms_filters %}

{% block content %}
    <div>
        <table class="table table-dark table-striped">
            <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Group name</th>
                <th scope="col">Start date</th>
                <th scope="col">Cost</th>
                <th scope="col">Amount of students</th>
                <th scope="col">Rating</th>
                <th scope="col">Description</th>
            </tr>
            </thead>
            <tbody>
            {% for group in groups %}
                <tr>
                    <th scope="row">{{ group.pk }}</th>
                    <td>{{ group.group_name }}</td>
                    <td>{{ group.start_date }}</td>
                    <td>{{ group.cost }}</td>
                    <td>{{ group.amount_of_students }}</td>
                    <td>{{ group.rating }}</td>
                    <td>{{ group.description }}</td>
                    <th>
                        <a type="button" class="btn btn-warning" href="{% url "groups:update_group" group.pk %}">Edit</a>
                    </th>
                    <th>
                        <a type="button" class="btn btn-danger" href="{% url "groups:delete_group" group.pk %}">Delete</a>
                    </th>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock content %}


{% block header %}
<a class="nav-link" href="{% url 'groups:create_group' %}">Add new group</a>
{% endblock header %}
